Refetch Global Ad Library Ads
curl --request POST \
--url https://api.example.com/api/v1/ad-library/ads/refetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ad_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"country": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/ad-library/ads/refetch"
payload = {
"ad_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"country": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ad_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'], country: '<string>'})
};
fetch('https://api.example.com/api/v1/ad-library/ads/refetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ads": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"enqueued": 0,
"throttled": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Ad Library
Refetch Global Ad Library Ads
Queue throttled ad-info refetches for status-sensitive ad surfaces.
POST
/
api
/
v1
/
ad-library
/
ads
/
refetch
Refetch Global Ad Library Ads
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I